package door

import (
	"net"
)

// testing helper routines

// setupSockets: return server and client (that's connected to server)
func setupSockets() (server net.Conn, client net.Conn) {
	// establish network socket connection to set Comm_handle
	var err error
	var sock net.Listener

	sock, err = net.Listen("tcp", "127.0.0.1:0")
	if err != nil {
		panic(err)
	}

	// I only need address for making the connection.
	// Get address of listening socket
	address := sock.Addr().String()

	client, err = net.Dial("tcp", address)

	if err != nil {
		panic(err)
	}

	server, err = sock.Accept()

	if err != nil {
		panic(err)
	}

	sock.Close()
	return server, client
}
